Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0010472
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2009-09-03 10:562009-09-22 00:00
ReporternetworkbView Statuspublic 
Assigned Tovmromanos 
PriorityimmediateResolutionfixedFixed in Version2.50MP6
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget Version2.40MP9
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.40MP4SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0010472: It is not possible to unpost a GL entry when a period is duplicated (one is open and one is closed)

DescriptionA fiscal year is created within 12 periods (from January to December). But an extra period is created in the same dates as December, for example.
If Dec-09 period is open, and the new one is closed, it is not possible to unpost a GL entry (It is possible to post it, but not unpost it).

Although, the open period (Dec-09) is selected in all combos in GL entry, it is not possible to unpost it.

The application shows the following message:

      
Process completed successfully
Updated = 0, Deleted = 0

It has been tested in 2.50 and 2.40, and it happens the same.
Steps To ReproduceFor 2.50:

Create a new fiscal year (2009). Create its periods using "Create periods" buttom.
Go to Financial Management > Accounting > Transactions > Open/close periods.
Select an organization, the previous year and Dec-09 as Period. Select as Period Action, "Open period". Save it, and process.

Go back to Fiscal year window, and for the same year(2009), create a new period (From date 01-12-2009, To date 31-12-2009).

Go to Financial Management > Accounting > Transactions > GL Entry. Create a new one. Use as Accounting/Transaction date, 02-12-2009. Select Dec-09 period. Save it.
Create its Header. Select same period, and same dates.
Create two lines in Lines tab with amount, 100. One line with 100 in Foreign Currency Debit and the other record in Foreign Currency Credit. Select any Accounting Combination.

Back to Header. Post it. And now to unpost it. It returns this message:
Process completed successfully
Updated = 0, Deleted = 0

For 2.40:
Create a new fiscal year (2009) and its periods, using "Create periods" buttom.
Open Dec-09 period.
Create a new period using as dates, from 01-12-2009 to 31-12-2009. Select as action to GL Entry "Never open".

Create a new GL entry using the same steps as 2.50
Proposed Solution*Do not allow to create two periods in the same dates.

*Show a correct message
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00105122.40MP9 closedvmromanos It is not possible to unpost a GL entry when a period is duplicated (one is open and one is closed) 
related to defect 0010545 closedvmromanos API check build 135 fails 

-  Notes
(0019526)
hgbot (developer)
2009-09-08 13:02

Repository: erp/devel/pi
Changeset: e81b966964038d294917adc7f70c95efb632eec5
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Sep 08 13:01:29 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e81b966964038d294917adc7f70c95efb632eec5 [^]

Fixed bug 10472: Do not allow to create two periods in the same dates

---
M src-db/database/model/tables/C_PERIOD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0019527)
hudsonbot (developer)
2009-09-08 13:13

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-inc-pgsql/837/ [^]
------
(0019528)
hudsonbot (developer)
2009-09-08 13:18

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-inc-oracle/731/ [^]
------
(0019529)
hudsonbot (developer)
2009-09-08 15:35

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-installation-test/79/ [^]
------
(0019531)
hudsonbot (developer)
2009-09-08 16:24

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-full-oracle/332/ [^]
------
(0019532)
hudsonbot (developer)
2009-09-08 16:37

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-full-pgsql/338/ [^]
------
(0019536)
hudsonbot (developer)
2009-09-08 17:29

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-installation-test/80/ [^]
------
(0019544)
hudsonbot (developer)
2009-09-08 21:16

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-pgsql-db-full-consistency-test/166/ [^]
------
(0019545)
hudsonbot (developer)
2009-09-08 21:24

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-installation-test/81/ [^]
------
(0019551)
hudsonbot (developer)
2009-09-08 23:14

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-integrity-test/134/ [^]
------
(0019575)
hudsonbot (developer)
2009-09-09 10:39

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-pgsql-smoke-test/58/ [^]
------
(0019644)
hudsonbot (developer)
2009-09-09 23:14

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-integrity-test/135/ [^]
------
(0019772)
hudsonbot (developer)
2009-09-10 23:14

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-integrity-test/136/ [^]
------
(0019838)
hudsonbot (developer)
2009-09-11 23:14

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-integrity-test/137/ [^]
------
(0019886)
hudsonbot (developer)
2009-09-14 11:51

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-integrity-test/138/ [^]
------
(0019953)
vmromanos (developer)
2009-09-14 20:08

A new alert module (http://forge.openbravo.com/projects/duplicatedperiodalert [^]) [^] has been created to help the user to determinate whether he has duplicated periods for the same client or not. The module is available through the Central Repository.

This module can be installed before upgrading the application and it will show the duplicated periods of the client (if any). This way the user can delete them before upgrading the system.

Moreover, the module can also be installed after upgrading the application if the user has detected an error about the C_PERIOD_UNIQUE_PERIOD constraint in the C_PERIOD table in the upgrade process.
(0019991)
hudsonbot (developer)
2009-09-14 23:14

Fixed Issue 10472

------
Integrated in http://builds.openbravo.com/job/erp_devel_pi-module-integrity-test/139/ [^]
------
(0020239)
psarobe (manager)
2009-09-21 13:30

Tested working fine

- Issue History
Date Modified Username Field Change
2009-09-03 10:56 networkb New Issue
2009-09-03 10:56 networkb Assigned To => rafaroda
2009-09-03 10:58 networkb Steps to Reproduce Updated
2009-09-03 11:00 networkb Target Version => 2.40MP9
2009-09-08 10:10 rafaroda Assigned To rafaroda => vmromanos
2009-09-08 10:11 rafaroda Status new => scheduled
2009-09-08 10:11 rafaroda fix_in_branch => pi
2009-09-08 13:02 hgbot Checkin
2009-09-08 13:02 hgbot Note Added: 0019526
2009-09-08 13:02 hgbot Status scheduled => resolved
2009-09-08 13:02 hgbot Resolution open => fixed
2009-09-08 13:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e81b966964038d294917adc7f70c95efb632eec5 [^]
2009-09-08 13:13 hudsonbot Checkin
2009-09-08 13:13 hudsonbot Note Added: 0019527
2009-09-08 13:13 hudsonbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e81b966964038d294917adc7f70c95efb632eec5 [^] =>
2009-09-08 13:18 hudsonbot Checkin
2009-09-08 13:18 hudsonbot Note Added: 0019528
2009-09-08 15:35 hudsonbot Checkin
2009-09-08 15:35 hudsonbot Note Added: 0019529
2009-09-08 16:24 hudsonbot Checkin
2009-09-08 16:24 hudsonbot Note Added: 0019531
2009-09-08 16:37 hudsonbot Checkin
2009-09-08 16:37 hudsonbot Note Added: 0019532
2009-09-08 17:29 hudsonbot Checkin
2009-09-08 17:29 hudsonbot Note Added: 0019536
2009-09-08 21:16 hudsonbot Checkin
2009-09-08 21:16 hudsonbot Note Added: 0019544
2009-09-08 21:24 hudsonbot Checkin
2009-09-08 21:24 hudsonbot Note Added: 0019545
2009-09-08 23:14 hudsonbot Checkin
2009-09-08 23:14 hudsonbot Note Added: 0019551
2009-09-09 10:39 hudsonbot Checkin
2009-09-09 10:39 hudsonbot Note Added: 0019575
2009-09-09 23:14 hudsonbot Checkin
2009-09-09 23:14 hudsonbot Note Added: 0019644
2009-09-10 14:02 shuehner Relationship added related to 0010545
2009-09-10 23:14 hudsonbot Checkin
2009-09-10 23:14 hudsonbot Note Added: 0019772
2009-09-11 23:14 hudsonbot Checkin
2009-09-11 23:14 hudsonbot Note Added: 0019838
2009-09-14 11:51 hudsonbot Checkin
2009-09-14 11:51 hudsonbot Note Added: 0019886
2009-09-14 20:08 vmromanos Note Added: 0019953
2009-09-14 23:14 hudsonbot Checkin
2009-09-14 23:14 hudsonbot Note Added: 0019991
2009-09-21 13:30 psarobe Status resolved => closed
2009-09-21 13:30 psarobe Note Added: 0020239
2009-09-21 13:30 psarobe Fixed in Version => 2.50MP6
2009-09-22 00:00 anonymous sf_bug_id 0 => 2863840


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker